import React from 'react';
import { TwitterPicker } from 'react-color';

type Props = {
  value: any;
  updateValue: any;
};

export default function ColorPicker({ value, updateValue }: Props) {
  const [open, setOpen] = React.useState(false);

  return (
    <>
      <div className="p-1 inline-block cursor-pointer bg-light shadow-sm" onClick={() => setOpen(!open)}>
        <div
          className="rounded-sm w-9 h-3.5"
          style={{
            backgroundColor: `rgb(${value[0]}, ${value[1]}, ${value[2]})`,
          }}
        />
      </div>
      {open && (
        <div className="absolute z-10">
          <TwitterPicker
            color={value}
            onChangeComplete={(color: any) => {
              const rgb = color.rgb;
              const newValue = [rgb.r, rgb.g, rgb.b];
              updateValue(newValue);
              setOpen(false);
            }}
          />
        </div>
      )}
    </>
  );
}
